using System;
using System.Collections.Generic;
using CRVM.Utility;
using System.Data;

namespace CRVM
{
    public class LogicCon
    {
        private IDBAccess projDB = null;
        public EDBItem dbItem;
        //public string sorcStrs = "";
        //private string destStrs = "";
        private string connstr = "";
        private string tablestr;
        public LogicCon(EDBItem dbItem, string tablestr)
        {

            this.dbItem = dbItem;
            this.tablestr = tablestr;
            //ConnectStrs(dbItem);
        }
       
         public DataTable SelTableData(string tablename,string sql)
        {
            DataTable dt = new DataTable();
            dt = projDB.SelTableData(tablename,connstr,sql );
            return dt;
        }
  
        public DataTable DataBase(string sql)
        {
            DataTable dt = new DataTable();
            dt = projDB.DataBase(connstr, sql);
            return dt;
        }
      

    }
}

